2014/01/29

tar: Archive contains obsolescent base-64 headers // 에러(error), tar.gz 파일(file), 워드프레스(Wordpress), 카페(Cafe24.com), FTP

1. 에러발생


error:
tar: Archive contains obsolescent base-64 headers


아는 동생(놈 -,-;)의 cafe24 계정에 워드프레스(Wordpress)가 잘 안 깔려서
내가 다시 깔아줄게~ 하고 시작했던 설치 작업이었는데
FTP 로 업로드 할 때마다 계속 전송오류가 발생함.

역시 FTP로 용량 작은 파일 여러개를 올리는 건 무리인가... 하면서 tar.gz 파일을 올려놓고 압축 풀기를 개시했더니, 뜬금없는 base-64 헤더 관련 오류 발생. ㄷㄷㄷㄷ



2. 원인 발견


인터넷 상의 여러 해법들을 적용해 보다가 gzip으로 압축만 우선 풀어보려고 하니
그제서야 계정에 할당된 디스크 용량이 꽉 찼다는 에러가 발생함.

아! 뭐야.. ㅠ_ㅠ 진작 좀 이렇게 에러가 났으면 시간 낭비도 안 하고 깔끔하게 끝난 거였잖어.. 엉엉...
(그 동생놈이 백업용 대용량 파일을 계정에다 올려놔서 200MB 짜리 계정 하드가 20MB도 안 남아 있었던 것. ㅠ_ㅠ)


헤더 어쩌고저쩌고 하는 에러가 떴다고 해서 어렵게 생각하지 마시고,
압축 파일을 풀 수 있는 공간이 충분한 지 먼저 확인하세요 ㅠ_ㅠ



3. 에러 해결하느라 찾아봤던 기타 사항


- FTP로 tar.gz 파일을 올릴 때 바이너리(binary) 모드가 아니면 에러가 난다고 하였으나, 난 이미 바이너리 모드였음.

- tar로 압축을 풀때 옵션을 이리저리 바꿔보라고 해서 다 해봤으나 역시 안 됨.



댓글 없음:

댓글 쓰기